###################################################
### chunk number 1: 
###################################################
library(Modalclust)
data(disc2d)
plot(disc2d)


###################################################
### chunk number 2: 
###################################################
disc2d.hmac=phmac(disc2d,npart=1,parallel=F)


###################################################
### chunk number 3: 
###################################################
disc2d.phmac=phmac(disc2d,npart=4,parallel=T) #npart can be made equal to the number of processors the computer has.


###################################################
### chunk number 4: summary
###################################################
summary(disc2d.phmac)


###################################################
### chunk number 5: 
###################################################
plot.hmac(disc2d.hmac)


###################################################
### chunk number 6: 
###################################################
set.seed(20)
mix4=data.frame(rbind(rmvnorm(20,rep(0,4)), rmvnorm(20,rep(2,4)),rmvnorm(20,rep(10,4)),rmvnorm(20,rep(13,4))))
mix4.hmac=phmac(mix4,npart=1)
plot(mix4.hmac)


###################################################
### chunk number 7: 
###################################################
plot(mix4.hmac,userclus=rep(c(1,2,3,4),each=20))


###################################################
### chunk number 8: 
###################################################
plot(mix4.hmac,n.cluster=2)


###################################################
### chunk number 9: 
###################################################
par(mfrow=c(1,2))
hard.hmac(disc2d.hmac,n.cluster=2)
soft.hmac(disc2d.hmac,level=3)
par(mfrow=c(1,1))


###################################################
### chunk number 10: 
###################################################
member=hard.hmac(disc2d.hmac,n.cluster=2,plot=F)
member
member.soft=soft.hmac(disc2d.hmac,level=3,plot=F)
head(member.soft$post.prob)


###################################################
### chunk number 11: 
###################################################
choose.cluster(disc2d.hmac,n.cluster=2,x=c(0,0))


###################################################
### chunk number 12: 
###################################################
contour.hmac(disc2d.hmac,n.cluster=2,col=gray(0.7))


###################################################
### chunk number 13: 
###################################################
data(cta20)
data(cta20.hmac)
plot(cta20,pch=16)


###################################################
### chunk number 14: 
###################################################
data(logcta20.hmac)
par(mfrow=c(1,2))
hard.hmac(cta20.hmac,n.cluster=3)
hard.hmac(logcta20.hmac,n.cluster=3)
par(mfrow=c(1,1))


###################################################
### chunk number 15: 
###################################################
data(oned.hmac)
data(oned)
par(mfrow=c(1,2))
hist(oned,n=20,col="lavender")
hard.hmac(oned.hmac,level=3)
par(mfrow=c(1,1))


###################################################
### chunk number 16: 
###################################################
iris.hmac=phmac(iris[,-5],npart=1,parallel=F)
plot(iris.hmac,sep=.02)


###################################################
### chunk number 17: 
###################################################
hard.hmac(iris.hmac,n.cluster=2)


